package com.ims.common.config;

import org.springblade.core.launch.utils.PropsUtil;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

import java.util.Properties;


/**
 * 启动说明
 */
@Component
public class AppInit implements CommandLineRunner {

	@Value("${server.port}")
	private String port;
	@Value("${userfiles.basedir}")
	private String basedir;

	@Override
	public void run(String... args) throws Exception {
		Properties props = System.getProperties();
		PropsUtil.setProperty(props,"userfiles.basedir",basedir);
		System.out.println(">>>>>>>>>>>>>>>启动成功！！服务名称："+System.getProperty("spring.application.name")+"；端口："+port+" ；操作系统："+System.getProperties().getProperty("os.name")+"<<<<<<<<<<<<<");
		System.out.println("basedir路径:"+basedir);
	}
}
