/**
 *
 */
package com.ims.ims.am.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.ims.core.entity.DataEntity;

import java.util.Date;

/**
 * 应用台账Entity
 * @author mwd
 * @version 2021-04-15
 */
public class AsApplication extends DataEntity<AsApplication> {

	private static final long serialVersionUID = 1L;
	private String code;		// 应用编码
	private String name;		// 名称
	private String type;		// 业务分类
	private String type2;		// 技术分类
	private String type3;		// 资源类型
	private String type4;		// 部署方式
	private String type5;		// 权限类型
	private String resource;		// 资源要求
	private String developer;		// 开发商
	private String developerName;		// 开发商名称
	private Date publishDate;		// 发布日期
	private Long size;		// 文件大小
	private String version;		// 当前版本
	private String image;		// 图标
	private String imageId;		// 图标编码
	private String quickMark;		// 二维码
	private String quickId;		// 二维码编码
	private String status;		// 状态
	private String href;		// 路径
	private String orgIds;		// 授权单位
	private String orgNames;		// 授权名称
	private Integer sorting;		// 排序
	private String tenantId;		// 租户id


	public AsApplication() {
		super();
	}

	public AsApplication(String id){
		super(id);
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
	public String getType2() {
		return type2;
	}

	public void setType2(String type2) {
		this.type2 = type2;
	}
	public String getType3() {
		return type3;
	}

	public void setType3(String type3) {
		this.type3 = type3;
	}
	public String getType4() {
		return type4;
	}

	public void setType4(String type4) {
		this.type4 = type4;
	}
	public String getType5() {
		return type5;
	}

	public void setType5(String type5) {
		this.type5 = type5;
	}
	public String getResource() {
		return resource;
	}

	public void setResource(String resource) {
		this.resource = resource;
	}
	public String getDeveloper() {
		return developer;
	}

	public void setDeveloper(String developer) {
		this.developer = developer;
	}
	public String getDeveloperName() {
		return developerName;
	}

	public void setDeveloperName(String developerName) {
		this.developerName = developerName;
	}
	@JSONField(format = "yyyy-MM-dd HH:mm:ss")
	public Date getPublishDate() {
		return publishDate;
	}

	public void setPublishDate(Date publishDate) {
		this.publishDate = publishDate;
	}
	public Long getSize() {
		return size;
	}

	public void setSize(Long size) {
		this.size = size;
	}
	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}
	public String getImage() {
		return image;
	}

	public void setImage(String image) {
		this.image = image;
	}
	public String getQuickMark() {
		return quickMark;
	}

	public void setQuickMark(String quickMark) {
		this.quickMark = quickMark;
	}

	public String getHref() {
		return href;
	}

	public void setHref(String href) {
		this.href = href;
	}

	public String getOrgIds() {
		return orgIds;
	}

	public void setOrgIds(String orgIds) {
		this.orgIds = orgIds;
	}

	public String getOrgNames() {
		return orgNames;
	}

	public void setOrgNames(String orgNames) {
		this.orgNames = orgNames;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
	public Integer getSorting() {
		return sorting;
	}

	public void setSorting(Integer sorting) {
		this.sorting = sorting;
	}
	public String getTenantId() {
		return tenantId;
	}

	public void setTenantId(String tenantId) {
		this.tenantId = tenantId;
	}

	public String getImageId() {
		return imageId;
	}

	public void setImageId(String imageId) {
		this.imageId = imageId;
	}

	public String getQuickId() {
		return quickId;
	}

	public void setQuickId(String quickId) {
		this.quickId = quickId;
	}
}
