package com.ims.eval;


import org.springblade.core.launch.BladeApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.cloud.client.SpringCloudApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.ComponentScans;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * eval启动器
 *
 * @author wang
 */
@SpringCloudApplication
@ComponentScans({
	@ComponentScan("com.ims.ext.act")
})
@EnableFeignClients
@EnableCaching
@EnableScheduling
public class EvalApplication {

	public static void main(String[] args) {
		BladeApplication.run("ims-eval", EvalApplication.class, args);
	}
}
