package com.ims.eval.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ims.eval.entity.EvaluationDept;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 考评部门 Mapper 接口
 * </p>
 *
 * @author wang
 * @since 2023-03-06
 */
public interface EvaluationDeptMapper extends BaseMapper<EvaluationDept> {

    IPage<EvaluationDept> selectListPage(Page<EvaluationDept> page, @Param("deptName") String deptName, @Param("annual") String annual);
}
