package com.ims.eval.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ims.eval.entity.IndicatorDictionary;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 指标字典表 Mapper 接口
 * </p>
 *
 * @author wang
 * @since 2023-02-26
 */
public interface IndicatorDictionaryMapper extends BaseMapper<IndicatorDictionary> {

    IndicatorDictionary selectByCode(@Param("code") String code);

    List<IndicatorDictionary> selectByIndicatorId(@Param("id") String id);
}
