package com.ims.eval.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ims.eval.entity.OrganizationEvaluationRule;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 单位/部门考评配置 Mapper 接口
 * </p>
 *
 * @author wang
 * @since 2023-03-01
 */
public interface OrganizationEvaluationRuleMapper extends BaseMapper<OrganizationEvaluationRule> {

	IPage<OrganizationEvaluationRule> list(Page page, @Param("id") String id,
										   @Param("organizationName") String organizationName,
										   @Param("organizationId") String organizationId,
										   @Param("organizationType") String organizationType,
										   @Param("binSection") String binSection,
										   @Param("binStage") String binStage,
										   @Param("evaluationCycle") String evaluationCycle,
										   @Param("year") String year);


	List<OrganizationEvaluationRule> selectListAll(@Param("id")String id,
												   @Param("organizationName") String organizationName,
												   @Param("organizationId") String organizationId,
												   @Param("organizationType") String organizationType,
												   @Param("binSection") String binSection,
												   @Param("binStage") String binStage,
												   @Param("evaluationCycle") String evaluationCycle,
												   @Param("year") String year);


	List<OrganizationEvaluationRule> selectOrganizationRuleId(@Param("ids") List<String> ids);



}
