package com.ims.eval.dao;

import com.ims.eval.config.permission.DataPermission;
import com.ims.eval.entity.ResponsibilityIndicatorInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ims.eval.entity.dto.response.ResponsibilityIndicatorInfoResDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 责任书指标明细  Mapper 接口
 * </p>
 *
 * @author wang
 * @since 2023-03-08
 */
@DataPermission
public interface ResponsibilityIndicatorInfoMapper extends BaseMapper<ResponsibilityIndicatorInfo> {



	List<ResponsibilityIndicatorInfoResDTO> listByresponsibilityId(@Param("deptResponsibilityIds") List<String> deptResponsibilityIds,
																   @Param("dept") String dept,
																   @Param("optionCode") String optionCode,
																   @Param("organizationId") String organizationId);

	@DataPermission(isPermission = false)
	List<ResponsibilityIndicatorInfoResDTO> selectResponsibilityIndicatorInfoList(@Param("deptResponsibilityId") String deptResponsibilityId, @Param("isQuantified") String isQuantified, @Param("dataState") String dataState);
}
