package com.ims.eval.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @author hlf
 * @date 2023/5/6 17:09
 * 文件说明：本部部门业绩指标考核
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class EvaluationDeptBusinessAssessment extends Model {

	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	private String id;

	/**
	 * 业务编码
	 */
	private String responsibilityCode;

	/**
	 * 考评部门主键
	 */
	private String deptId;

	/**
	 * 考评部门名称
	 */
	private String deptName;

	/**
	 * 考评部门编码
	 */
	private String deptCode;

	/**
	 * 考评年度
	 */
	private String appraisalYear;

	/**
	 * 考评类别
	 */
	private String evaluationCategory;

	/**
	 * 业务类别
	 */
	private String businessClass;

	/**
	 * 单据状态
	 */
	private String documentStatus;

	/**
	 * 审批状态
	 */
	private String stage;

	/**
	 * 描述
	 */
	private String des;

	/**
	 * 复审人
	 */
	private String reviewPeople;

	/**
	 * 复审时间
	 */
	private String reviewPeopleTime;

	/**
	 * 复审意见
	 */
	private String reviewOpinion;

	/**
	 * 终审人
	 */
	private String finalReviewPeople;

	/**
	 * 终审时间
	 */
	private String finalReviewPeopleTime;

	/**
	 * 终审意见
	 */
	private String finalReviewOpinion;

	/**
	 * 流程实例ID
	 */
	private String instId;

	/**
	 * 创建时间
	 */
	private Date createTime;

	/**
	 * 创建者
	 */
	private String createBy;

	/**
	 * 创建者名称
	 */
	private String createName;

	/**
	 * 更新时间
	 */
	private Date updateTime;

	/**
	 * 更新者
	 */
	private String updateBy;

	/**
	 * 备注
	 */
	private String remark;

}
