package com.ims.eval.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author hlf
 * @date 2023/4/25 17:18
 * 文件说明：考评部门指标项
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class EvaluationDeptIndicatorItem extends Model {

	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	private String id;

	/**
	 * 考评部门主键
	 */
	private String evaluationDeptId;

	/**
	 * 考评部门指标主键
	 */
	private String evaluationDeptIndicatorId;

	/**
	 * 指标名称
	 */
	private String indicatorName;

	/**
	 * 指标编码
	 */
	private String indicatorCode;

	/**
	 * 指标项名称
	 */
	private String indicatorItemName;

	/**
	 * 指标项编码
	 */
	private String indicatorItemCode;

	/**
	 * 指标类别
	 */
	private String indicatorCategory;

	/**
	 * 描述
	 */
	private String des;
}
