package com.ims.eval.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author wang
 * @since 2023-05-19
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class EvaluationWarningInfo extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * 规则id
     */
    private String ruleId;

    /**
     * 业务板块code
     */
    private String binSection;

    /**
     * 指标id
     */
    private String indicatorId;

    /**
     * 预警编号
     */
    private String warningCode;

    /**
     * 预警标题
     */
    private String title;

    /**
     * 预警内容
     */
    private String content;

    /**
     * 是否确认
     */
    private Boolean isConfirm;

    /**
     * 确认时间
     */
    private Date confirmTime;

    /**
     * 确认人
     */
    private String userName;

    /**
     * 确认人code
     */
    private String userCode;

    /**
     * 部门
     */
    private String deptId;

    /**
     * 创建时间
     */
    private Date createTime;

	private String targetValue;

	private String completeValue;

	private String company;
}
