package com.ims.eval.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 指标分类
 * </p>
 *
 * @author wang
 * @since 2023-03-09
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class IndicatorType extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private String id;

    /**
     * 类型名称
     */
    private String typeName;

    /**
     * 类型编码
     */
    private String typeCode;

	/**
	 * 删除标记
	 */
	private Boolean delFlag;

    /**
     * 排序
     */
    private Integer orderNum;

	/**
	 * 类型（业务处理）对数据不同的分组
	 */
	private String type;


}
