package com.ims.eval.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author wang
 * @since 2023-05-22
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class MultipleBrand extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private String id;

	/**
	 * 公司id
	 */
	private String organizationId;

    /**
     * 主牌子name
     */
    private String organizationName;

    /**
     * 父id
     */
    private String parentId;

    /**
     * 利润金额
     */
    private Double profit;

    /**
     * 分数
     */
    private Double score;

    /**
     * 业务版块
     */
    private String binSection;


	/**
	 * 业务版块name
	 */
	@TableField(exist = false)
	private String binSectionName;

    /**
     * 周期
     */
    private String checkCycle;

    /**
     * 年
     */
    private String year;

    /**
     * 月
     */
    private String month;

    /**
     * 备注
     */
    private String remark;


	@TableField(exist = false)
	private List<MultipleBrand> children;

}
