package com.ims.eval.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author wang
 * @since 2023-06-19
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class OrganizationRatingRule extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * 业务板块
     */
		private String binSection;

	/**
	 * 业务版块name
	 */
	@TableField(exist = false)
	private String binSectionName;

	/**
	 * 业务阶段
	 */
	private String binStage;


	/**
	 * 业务阶段name
	 */
	@TableField(exist = false)
	private String binStageName;

    /**
     * 规则公式
     */
    private String expression;

    /**
     * 规则名称
     */
    private String ruleName;

    /**
     * 规则描述
     */
    private String ruleDes;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 更新人
     */
    private String updateBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 是否启用
     */
    private Boolean enable;

    /**
     * 周期
     */
    private String checkCycle;

    /**
     * 规则启用时间
     */
    private Date cronTime;


}
