package com.ims.eval.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * <p>
 * 发布公告表
 * </p>
 *
 * @author wang
 * @since 2023-02-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class Report extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * 公告标题
     */
    private String reportTitle;

    /**
     * 描述
     */
    private String des;

    /**
     * 公告发布时间
     */
    private Date publishTime;

    /**
     * 报告保存路径
     */
    private String reportPath;

    /**
     * 发布公告部门
     */
    private String deptId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新者
     */
    private String updateBy;


}
