package com.ims.eval.entity.custom;

import lombok.Data;

/**
 * <p>
 * 流程启动请求业务类
 * </p>
 *
 * @author wang
 * @since 2023-03-12
 */
@Data
public class DoAction {
	private static final long serialVersionUID = 1L;

	/**
	 * 编码
	 */
	private String iamCode;
	/**
	 * 流程定义key
	 */
	private String defKey;
	/**
	 * 业务对象ID
	 */
	private String businessKey;
	/**
	 * 执行操作（固定值：start）
	 */
	private String action;
	/**
	 * 流程发起意见
	 */
	private String opinion;


}
