package com.ims.eval.entity.dto.request;

import lombok.Data;

import java.util.Date;

@Data
public class ResponsibilityIndicatorInfoUpdateDTO {

	private static final long serialVersionUID = 1L;

	/**
	 * 主键id
	 */
	private String id;

	/**
	 * 责任书id
	 */
	private String deptResponsibilityId;


	/**
	 * 组织规则id
	 */
	private String organizationEvaluationRuleId;

	/**
	 * 指标ID
	 */
	private String indicatorId;

	/**
	 * 指标项Code
	 */
	private String optionCode;


	/**
	 * 能否量化
	 */
	private String isQuantified;

	/**
	 * 量化值
	 */
	private double quantifiedValue;

	/**
	 * 非量化值
	 */
	private String nonQuantifiedValue;

	/**
	 * 更新时间
	 */
	private Date updateTime;

	/**
	 * 更新者
	 */
	private String updateBy;

	/**
	 * 备注
	 */
	private String remark;

	/**
	 * 状态(-1:未开始；0:待确认；1:已确认)
	 */
	private String state;

}
