package com.ims.eval.entity.dto.response;

import lombok.Data;

@Data
public class EvaluateReportInfoResDTO {

	private static final long serialVersionUID = 1L;
	/**
	 * 主键id
	 */
	private String id;


	/**
	 * 业务版块
	 */
	private String binSection;

	/**
	 * 业务版块name
	 */
	private String binSectionName;

	/**
	 * 周期
	 */
	private String checkCycle;

	/**
	 * 年
	 */
	private String year;

	/**
	 * 月
	 */
	private String month;



	/**
	 * 考评报告id
	 */
	private String evaluateReportId;


	/**
	 * 考评组织ID
	 */
	private String organizationId;

	/**
	 * 考评组织名称
	 */
	private String organizationName;

	/**
	 * 生产经营得分
	 */
	private double scjyScore;

	/**
	 * 前期得分
	 */
	private double qqScore;

	/**
	 * 基建得分
	 */
	private double jjScore;

	/**
	 * 加分项
	 */
	private double addScore;

	/**
	 * 减分项
	 */
	private double subScore;

	/**
	 * 加减分合计
	 */
	private double addSubScore;

	/**
	 * 综合得分
	 */
	private double zhScore;

	/**
	 * 经营业绩系数
	 */
	private double jyyjXs;

	/**
	 * 关键业绩得分
	 */
	private double gjyjXs;

	/**
	 * 党建考核乘数
	 */
	private double djkhCs;

	/**
	 * 分数
	 */
	private double score;

	/**
	 * 折算分数
	 */
	private double discountScore;

	/**
	 * 备注
	 */
	private String remark;



}
