package com.ims.eval.entity.dto.response;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 党建乘数配置
 * </p>
 *
 * @author xugp
 * @since 2023-03-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class PartyBuildingMultiplierDto extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private String id;


	/**
	 * 单位名称
	 */
    private String organizationName;


	/**
	 * 板块名称
	 */
	private String sectionName;

    /**
     * 党建乘数
     */
    private String multiplier;


    /**
     * 年度
     */
    private String year;





}
