package com.ims.eval.entity.dto.result;
/**
 *@ClassName Status
 *@Description 枚举类对象
 *@Author wang
 *@Date 2020/9/25 18:54
 *@Version 1.0
 **/
public enum Status {
    // 公共
    SUCCESS(200, "成功"),
    UNKNOWN_ERROR(500,"未知异常"),
    SYSTEM_ERROR(5001, "系统异常"),
    INSUFFICIENT_PERMISSION(5002, "权限不足"),
    REQUEST_PARAMETER_ERROR(5003, "请求参数错误");




    public int code;
    public String message;

    Status(int code, String message) {
        this.code = code;
        this.message = message;
    }
}
