package com.ims.eval.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ims.eval.entity.DeptResponsibility;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ims.eval.entity.dto.response.DeptResponsibilityResDTO;
import org.springframework.transaction.annotation.Transactional;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 部门目标责任表 服务类
 * </p>
 *
 * @author wang
 * @since 2023-02-27
 */
public interface IDeptResponsibilityService extends IService<DeptResponsibility> {

	IPage<DeptResponsibility> list(Integer pageNum, Integer pageSize, String id, String responsibilityCode,String cycleUnit,  List<String> checkCycle, String beginDate, String endDate, String stage, String createBy, String year, String month,String des);

	List<DeptResponsibility> list(String organizationId, String checkCycle, String year, String month);

	boolean generateResponsibility(String orgEvalRuleId);

	DeptResponsibilityResDTO getByidAndInfo(String id, String dept,HttpServletRequest request);


	List<Map> targetValueeport(String id, String dept, HttpServletRequest request);


	boolean editState(String id,String state,String instId);




}
