package com.ims.eval.service;

import com.ims.eval.entity.EvaluateReportInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import org.apache.poi.ss.formula.functions.T;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 考评报告明细

 服务类
 * </p>
 *
 * @author wang
 * @since 2023-03-25
 */
public interface IEvaluateReportInfoService extends IService<EvaluateReportInfo> {

	Map<String,List<Map>> mapByReportId(String evaluateReportId) throws Exception;

	List<EvaluateReportInfo> listByReportId(String evaluateReportId);

}
