package com.ims.eval.service;

import com.ims.eval.entity.EvaluateRuleInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ims.eval.entity.dto.response.EvaluateRuleInfoIndicatorDTO;

import java.util.List;

/**
 * <p>
 * 考评规则信息 服务类
 * </p>
 *
 * @author wang
 * @since 2023-02-28
 */
public interface IEvaluateRuleInfoService extends IService<EvaluateRuleInfo> {

	List<EvaluateRuleInfo> list(String id, String des, String indicatorId,String evaluateRuleId,String indicatorName);



	List<EvaluateRuleInfo> list(List<String> evaluateRuleIds);

	List<EvaluateRuleInfoIndicatorDTO> listByIndicatorInfo(List<String> ruleInfoIds);

}
