package com.ims.eval.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ims.eval.entity.OrganizationEvaluationRule;
import com.ims.eval.entity.OrganizationRatingRule;
import com.ims.eval.dao.OrganizationRatingRuleMapper;
import com.ims.eval.service.IOrganizationRatingRuleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author wang
 * @since 2023-06-19
 */
@Service
public class OrganizationRatingRuleServiceImpl extends ServiceImpl<OrganizationRatingRuleMapper, OrganizationRatingRule> implements IOrganizationRatingRuleService {

	@Override
	public IPage<OrganizationRatingRule> list(Integer pageNum, Integer pageSize, String id, String binSection, String binStage, String ruleName, String checkCycle) {


		Page<OrganizationRatingRule> page = new Page<>(pageNum, pageSize);
		IPage<OrganizationRatingRule>  list = baseMapper.selectList(page, id, binSection, binStage, ruleName, checkCycle);

		return list;
	}
}
