package com.ims.eval.util;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 *  excel 表格 列名注解
 *
 * @author xugp
 */
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
public @interface ExcelRow {

	/**
	 *  Excel 对应列名
	 * @return
	 */
	String name();

	/**
	 *  excel 列名备注
	 * @return
	 */
	String note() default "";
}
