/*
package com.ims.gateway.config;

import com.alibaba.csp.sentinel.adapter.gateway.sc.callback.BlockRequestHandler;
import com.alibaba.csp.sentinel.slots.block.authority.AuthorityException;
import com.alibaba.csp.sentinel.slots.block.degrade.DegradeException;
import com.alibaba.csp.sentinel.slots.block.flow.FlowException;
import com.alibaba.csp.sentinel.slots.block.flow.param.ParamFlowException;
import com.alibaba.csp.sentinel.slots.system.SystemBlockException;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.http.HttpStatus;
import org.springframework.http.MediaType;
import org.springframework.stereotype.Component;
import org.springframework.web.reactive.function.BodyInserters;
import org.springframework.web.reactive.function.server.ServerResponse;
import org.springframework.web.server.ServerWebExchange;
import reactor.core.publisher.Mono;

@Component
public class ExceptionHandlerPage implements BlockRequestHandler {

		@Override
		public Mono<ServerResponse> handleRequest(ServerWebExchange exchange, Throwable e) {
			ResponseData responseData = new ResponseData();
			if (e instanceof FlowException) {
				responseData = new ResponseData(410, "接口被限流了...");
			} else if (e instanceof DegradeException) {
				responseData = new ResponseData(420, "接口被降级了...");
			} else if (e instanceof ParamFlowException) {
				responseData = new ResponseData(430, "参数限流异常...");
			} else if (e instanceof AuthorityException) {
				responseData = new ResponseData(440, "授权异常...");
			} else if (e instanceof SystemBlockException) {
				responseData = new ResponseData(450, "系统负载异常...");
			}
			return ServerResponse.status(HttpStatus.OK).contentType(MediaType.APPLICATION_JSON).body(BodyInserters.fromObject(responseData));
		}
}
*/
/**
 * 定义返回的实体类，字段根据需要添加
 *//*

@Data
@AllArgsConstructor
@NoArgsConstructor
class ResponseData {
	private int code;
	private String message;
}
*/
