package com.ims.ims.am.feign;

import com.ims.common.constant.CommonConstant;
import com.ims.ims.am.entity.AsApplication;
import io.protostuff.Request;
import org.springblade.core.tool.api.R;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(
	value = "ims-am"
)
public interface VsAmClient {

	String API_PREFIX = "/client";
	String GET_ORG_APPS = API_PREFIX+"/getByOrg";

	@GetMapping(value = GET_ORG_APPS)
	R<List<AsApplication>> getAppsOfOrg(@RequestParam(required = false,value = "orgId") String orgId);
}
