package com.ims.eval.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
//@ConfigurationProperties(prefix = "iam")
public class ImaConfig {



	@Value("${iam.active}")
	private String active;

	/**网关网址 **/
	@Value("${iam.gateway-url.dev}")
	private String gatewayUrlDev;


	@Value("${iam.gateway-url.pro}")
	private String gatewayUrlPro;


	@Value("${iam.menu.dev}")
	private String menuDev;

	@Value("${iam.menu.pro}")
	private String menuPro;


	public String getMenu() {

		if("dev".equals(active)) {
			return menuDev;
		}
		return menuPro;
	}



	public String getGatewayUrl() {
		if("dev".equals(active)){
			return gatewayUrlDev;
		}
		return gatewayUrlPro;
	}


}
