package com.ims.eval.dao;

import com.ims.eval.entity.EvaluateRuleInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ims.eval.entity.dto.response.EvaluateRuleInfoIndicatorDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 考评规则信息 Mapper 接口
 * </p>
 *
 * @author wang
 * @since 2023-02-28
 */
public interface EvaluateRuleInfoMapper extends BaseMapper<EvaluateRuleInfo> {

	List<EvaluateRuleInfo> selectListAll(@Param("id") String id,
										 @Param("des") String des,
										 @Param("indicatorId") String indicatorId,
										 @Param("evaluateRuleId") String evaluateRuleId,
										 @Param("indicatorName") String indicatorName);


	List<EvaluateRuleInfoIndicatorDTO> selectlistByIndicatorInfo(@Param("ruleInfoIds") List<String> ruleInfoIds);

}
