package com.ims.eval.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ims.eval.entity.EvaluateRule;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ims.eval.entity.dto.response.EvaluateRuleInfoResDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 考评规则表 Mapper 接口
 * </p>
 *
 * @author wang
 * @since 2023-02-27
 */
public interface EvaluateRuleMapper extends BaseMapper<EvaluateRule> {

	IPage<EvaluateRule>  selectListPage(Page page, @Param("id") String id,
										@Param("des") String des,
										@Param("binSection") String binSection,
										@Param("binStage") String binStage,
										@Param("checkCycle") String checkCycle,
										@Param("year")String year);


	List <EvaluateRuleInfoResDTO> selectListInIdsInfos(List<String> ids, String binSection, String binStage);

}
