package com.ims.eval.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ims.eval.entity.EvaluationDeptBusinessContent;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author hlf
 * @date 2023/5/6 10:41
 * 文件说明：
 */
public interface EvaluationDeptBusinessContentMapper extends BaseMapper<EvaluationDeptBusinessContent> {

	List<EvaluationDeptBusinessContent> detailsList(@Param("businessPlanId") String businessPlanId, @Param("deptId") String deptId);

	boolean removeByBusinessPlanId(String businessPlanId);

    List<EvaluationDeptBusinessContent> selectEvaluationDeptBusinessContentListByBusinessPlanId(@Param("businessPlanId") String businessPlanId, @Param("deptId") String deptId);
}
