package com.ims.eval.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ims.eval.entity.MultipleBrand;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author wang
 * @since 2023-05-22
 */
public interface MultipleBrandMapper extends BaseMapper<MultipleBrand> {

	IPage<MultipleBrand> selectMultipleBranTree(Page page, @Param("id")String id ,
												@Param("parentId") String parentId,
												@Param("binSection") String  binSection,
												@Param("checkCycle") String  checkCycle,
												@Param("year") String year,
												@Param("month") String month);

	List<MultipleBrand> selectMultipleBranList(@Param("id")String id ,
											   @Param("parentId") String parentId,
											   @Param("binSection") String  binSection,
											   @Param("checkCycle") String  checkCycle,
											   @Param("year") String year,
											   @Param("month") String month);

	List<MultipleBrand> selectMultipleBranList2(@Param("organizationId") String organizationId,
											   @Param("parentId") String parentId,
											   @Param("binSection") String  binSection,
											   @Param("checkCycle") String  checkCycle,
											   @Param("year") String year,
											   @Param("month") String month);


}
