package com.ims.eval.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ims.eval.entity.OrganizationRating;
import com.ims.eval.entity.OrganizationRatingRule;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 年度评级 Mapper 接口
 * </p>
 *
 * @author wang
 * @since 2023-06-20
 */
public interface OrganizationRatingMapper extends BaseMapper<OrganizationRating> {

	IPage<OrganizationRating> selectList(Page page, @Param("id") String id,
											 @Param("binSection") String binSection,
											 @Param("year") String year,
										 @Param("organizationShortName")  String organizationShortName,
										 @Param("organizationId")  String organizationId);

}
