package com.ims.eval.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ims.eval.entity.OrganizationRatingRule;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author wang
 * @since 2023-06-19
 */
public interface OrganizationRatingRuleMapper extends BaseMapper<OrganizationRatingRule> {

	IPage<OrganizationRatingRule> selectList(Page page, @Param("id") String id,
											 @Param("binSection") String binSection,
											 @Param("binStage") String binStage,
											 @Param("ruleName") String ruleName,
											 @Param("checkCycle") String checkCycle);


}
