package com.ims.eval.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.models.auth.In;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 经营阶段分类
 * </p>
 *
 * @author wang
 * @since 2023-03-12
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BinStage extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private String id;

    /**
     * 阶段名称
     */
    private String stageName;

    /**
     * 阶段编码
     */
    private String stageCode;

    /**
     * 删除标记(false 为未删除，true 为已删除)

     */
    private Boolean delFlag;

    /**
     * 排序
     */
    private Integer orderNum;


	/**
	 * 类型（业务处理）对数据不同的分组
	 */
	private String type;




}
