package com.ims.eval.entity;


import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 目标责任书指标
 * </p>
 *
 * @author wang
 * @since 2023-02-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class DeptResponsibilityTarget extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * 目标责任书ID
     */
    private String responsibilityId;

    /**
     * 指标ID
     */
    private String indicatorId;

    /**
     * 量化目标
     */
    private double quantizationTarget;

    /**
     * 量化目标完成值
     */
    private double quantizationTargetActual;

    /**
     * 评价目标
     */
    private String evaluationTarget;

    /**
     * 评价目标完成值
     */
    private double evaluationTargetActual;

    /**
     * 月度预警零界值
     */
    private double monthThreshold;

    /**
     * 季度预警零界值
     */
    private double seasonThreshold;

    /**
     * 年度预警零界值
     */
    private double yearThreshold;

    /**
     * 方向
     */
    private double direction;

    /**
     * 排序
     */
    private Integer orderNum;

    /**
     * 备注
     */
    private String remark;

    /**
     * 一月目标
     */
    private double target1;

    /**
     * 一月完成值
     */
    private double actual1;

    /**
     * 二月目标
     */
    private double target2;

    /**
     * 二月完值
     */
    private double actual2;

    /**
     * 三月目标
     */
    private double target3;

    /**
     * 三月完成值
     */
    private double actual3;

    /**
     * 四月目标
     */
    private double target4;

    /**
     * 四月完成值
     */
    private double actual4;

    /**
     * 五月目标
     */
    private double target5;

    /**
     * 五月完成值
     */
    private double actual5;

    /**
     * 六月目标
     */
    private double target6;

    /**
     * 六月完成值
     */
    private double actual6;

    /**
     * 七月目标
     */
    private double target7;

    /**
     * 七月完成值
     */
    private double actual7;

    /**
     * 八月目标
     */
    private double target8;

    /**
     * 八月完成值
     */
    private double actual8;

    /**
     * 九月目标
     */
    private double target9;

    /**
     * 九月完成值
     */
    private double actual9;

    /**
     * 十月目标
     */
    private double target10;

    /**
     * 十月完成值
     */
    private double actual10;

    /**
     * 十一月目标
     */
    private double target11;

    /**
     * 十一月完成值
     */
    private double actual11;

    /**
     * 十二月目标
     */
    private double target12;

    /**
     * 十二月完成值
     */
    private double actual12;


}
