package com.ims.eval.entity;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.time.LocalDateTime;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 考评报告明细
 *
 *
 * </p>
 *
 * @author wang
 * @since 2023-03-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class EvaluateReportInfo extends Model {

	private static final long serialVersionUID = 1L;

	/**
	 * 主键id
	 */
	private String id;


	/**
	 * 考评报告id
	 */
	private String evaluateReportId;


	/**
	 * 考评组织ID
	 */
	private String organizationId;

	/**
	 * 考评组织名称
	 */
	private String organizationName;

	/**
	 * 生产经营得分
	 */
	private double scjyScore;

	/**
	 * 前期得分
	 */
	private double qqScore;

	/**
	 * 基建得分
	 */
	private double jjScore;

	/**
	 * 加分项
	 */
	private double addScore;

	/**
	 * 减分项
	 */
	private double subScore;

	/**
	 * 加减分合计
	 */
	private double addSubScore;

	/**
	 * 综合得分
	 */
	private double zhScore;

	/**
	 * 经营业绩系数
	 */
	private double jyyjXs;

	/**
	 * 关键业绩得分
	 */
	private double gjyjXs;

	/**
	 * 党建考核乘数
	 */
	private double djkhCs;

	/**
	 * 分数
	 */
	private double score;

	/**
	 * 折算分数
	 */
	private double discountScore;

	/**
	 * 备注
	 */
	private String remark;







//--------------------------------------------------
//	/**
//	 * 列标题
//	 */
//	private String title;
//
//
//	/**
//	 * 业务阶段
//	 */
//	private String binStage;
//
//	/**
//	 * 业务阶段
//	 */
//	@TableField(exist = false)
//	private String binStageName;
//
//	/**
//	 * 创建时间
//	 */
//	private Date createTime;
//
//	/**
//	 * 创建者
//	 */
//	private String createBy;
//
//	/**
//	 * 更新时间
//	 */
//	private Date updateTime;
//
//	/**
//	 * 更新者
//	 */
//	private String updateBy;
//
//
//	/**
//	 * 描述
//	 */
//	private String des;


}
