package com.ims.eval.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author hlf
 * @date 2023/4/25 9:34
 * 文件说明：考评部门指标
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class EvaluationDeptIndicator extends Model {

	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	private String id;

	/**
	 * 考评部门主键
	 */
	private String evaluationDeptId;

	/**
	 * 指标名称
	 */
	private String indicatorName;

	/**
	 * 指标编码
	 */
	private String indicatorCode;

	/**
	 * 指标项组
	 */
	@TableField(exist = false)
	private List<EvaluationDeptIndicatorItem> evaluationDeptIndicatorItemList;
}
