package com.ims.eval.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @author hlf
 * @date 2023/4/28 14:13
 * 文件说明：本部部门绩效考核评级
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class EvaluationDeptRating extends Model {

	private static final long serialVersionUID = 1L;

	//主键
	private String id;
	//部门主键
	private String deptId;
	//部门名称
	private String deptName;
	//年度
	private String annual;
	//一月
	private String jan;
	//二月
	private String feb;
	//三月
	private String mar;
	//四月
	private String apr;
	//五月
	private String may;
	//六月
	private String jun;
	//七月
	private String jul;
	//八月
	private String aug;
	//九月
	private String sep;
	//十月
	private String oct;
	//十一月
	private String nov;
	//十二月
	private String dece;

	private String janContent;
	private String febContent;
	private String marContent;
	private String aprContent;
	private String mayContent;
	private String junContent;
	private String julContent;
	private String augContent;
	private String sepContent;
	private String octContent;
	private String novContent;
	private String deceContent;

	//A级总数
	private String acount;
	//C级总数
	private String ccount;
	//创建时间
	private Date createTime;
	//创建者
	private String createBy;
	//创建者名称
	private String createName;
	//更新时间
	private Date updateTime;
	//更新者
	private String updateBy;

}
