package com.ims.eval.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 考评单位
 * </p>
 *
 * @author wang
 * @since 2023-03-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class EvaluationUnit extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * 公司编码
     */
    private String companyId;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 公司简称
     */
    private String shortCompanyName;

    /**
     * 是否考核
     */
    private Boolean enable;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 更新者
     */
    private String updateBy;


}
