package com.ims.eval.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author wang
 * @since 2023-02-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class IntervalScoringTable extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private String id;

    /**
     * 考评得分规则表id
     */
    private String ruleId;

    /**
     * 区间范围
     */
    private String range;

	/**
	 * 子指标code
	 */
	private String childCode;

    /**
     * 规则描述
     */
    private String ruleDescription;

    /**
     * 规则公式
     */
    private String regularExpression;

    /**
     * 是否启用
     */
    private String enabled;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新者
     */
    private String updateBy;


}
