package com.ims.eval.entity;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author wang
 * @since 2023-03-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class OrganizationStructure extends Model {

    private static final long serialVersionUID = 1L;

    private String id;

    private String address;

    private String businessType;

    private String createBy;

    private Date createDate;

//    private String dbName;

    private String delFlag;

    private String isBm;

    private String isMarket;

//    private String isNewRecord;

    private String name;

    private String parentId;

    private String parentIds;

    private String phone;

    private String shortName;

    private String type;

    private String updateBy;

    private Date updateDate;

    private String useable;

    private String zipCode;

    private String classId;

    private String classId2;

    private String code;

    private String deputyPerson;

    private String email;

    private String fax;

    private String grade;

    private String isExtOrg;

    private String lat;

    private String lng;

    private String mapName;

    private String master;

    private String nativeNo;

    private String orgCode;

    private String primaryPerson;

    private String remarks;

    private String siteId;

    private Integer sort;

    private String star;

    private String status;

	/**
	 * 子节点
	 */
	@TableField(exist = false)
	private List<OrganizationStructure> children;


}
