package com.ims.eval.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author wang
 * @since 2023-03-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class PersonnelEvaluationRule extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private String id;

    /**
     * 人员编码
     */
    private String personnelId;

    /**
     * 人员名称
     */
    private String personnelName;

    /**
     * 所属共公司ID
     */
    private String companyId;

    /**
     * 所属公司名称
     */
    private String companyName;

    /**
     * 所属部门
     */
    private String deptId;

    /**
     * 所属部门名称
     */
    private String deptName;

    /**
     * 人员岗位
     */
    private String position;

    /**
     * 人员职称
     */
    private String rank;

    /**
     * 考评周期
     */
    private String evaluationCycle;

    /**
     * 考评规则ID
     */
    private String evaluateRuleId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 删除标记(0 为未删除，1 为已删除)

     */
    private String delFlag;

    /**
     * 是否考核
     */
    private String isCheck;

    /**
     * 排序
     */
    private Integer orderNum;


	/**
	 * 等级
	 */
	private String evaluationLevel;

	/**
	 * 年
	 */
	private String year;
	/**
	 * 月
	 */
	private String month;


}
