package com.ims.eval.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * <p>
 * 责任书指标明细


 * </p>
 *
 * @author wang
 * @since 2023-03-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ResponsibilityIndicatorInfo extends Model {

	private static final long serialVersionUID = 1L;

	/**
	 * 主键id
	 */
	private String id;

	/**
	 * 责任书id
	 */
	private String deptResponsibilityId;

	/**
	 * 组织考评规则id
	 */
	private String  organizationEvaluationRuleId;

	/**
	 * 指标ID
	 */
	private String indicatorId;

	/**
	 * 指标编码
	 */
	private String indicatorDictionaryId;

	/**
	 * 选项编码
	 */
	private String optionCode;

	/**
	 * 能否量化
	 */
	private String isQuantified;

	/**
	 * 量化值
	 */
	private double quantifiedValue;

	/**
	 * 非量化值
	 */
	private String nonQuantifiedValue;

	/**
	 * 创建时间
	 */
	private Date createTime;

	/**
	 * 创建者
	 */
	private String createBy;

	/**
	 * 更新时间
	 */
	private Date updateTime;

	/**
	 * 更新者
	 */
	private String updateBy;

	/**
	 * 备注
	 */
	private String remark;

	/**
	 * 状态(-1:未开始；0:待确认；1:已确认)
	 */
	private String state;

	/**
	 * 数据状态
	 */
	private String dataState;

	/**
	 * 部门id
	 */
	private String deptId;
}
