package com.ims.eval.entity.custom;

import lombok.Data;

/**
 * <p>
 * 流程同意请求业务类
 * </p>
 *
 * @author wang
 * @since 2023-03-12
 */
@Data
public class IsOkAction {

	private static final long serialVersionUID = 1L;

	/**
	 * 任务id
	 */
	private String taskId;

	/**
	 * 任务节点id
	 */
	private String nodeId;

	/**
	 * 执行操作（同意：agree；拒绝：reject）
	 */
	private String action;

	/**
	 * 流程实例id
	 */
	private String instanceId;

	/**
	 * 流程发起意见
	 */
	private String opinion;

	/**
	 * 驳回到的节点（自由驳回时生效）
	 */
	private String destination;

	/**
	 * 编码
	 */
	private String iamCode;


	/**
	 * 流程key
	 */
	private String defKey;

	/**
	 * 业务id
	 */
	private String bizKey;

	/**
	 * 节点名称
	 */
	private String  taskName;




}
