package com.ims.eval.entity.custom;

import lombok.Data;

import java.util.Date;

@Data
public class Opinion {

	private static final long serialVersionUID = 1L;

	/**
	 * id
	 */
	private String id;

	/**
	 * 状态
	 */
	private String status;

	/**
	 * 时间
	 */
	private Date approveTime;

	/**
	 * 流程实例id
	 */
	private String taskName;

	/**
	 * 流程发起意见
	 */
	private String opinion;

	/**
	 * 驳回到的节点（自由驳回时生效）
	 */
	private String destination;

	/**
	 * 编码
	 */
	private String iamCode;


	/**
	 * 流程key
	 */
	private String defKey;

	/**
	 * 业务id
	 */
	private String bizKey;



}
