package com.ims.eval.entity.dto.request;

import lombok.Data;

import java.util.Date;
@Data
public class OrganizationEvaluationInfoUpdateDTO {

	private static final long serialVersionUID = 1L;

	/**
	 * 主键id
	 */
	private String id;

	/**
	 * 考评记录id
	 */
	private String organizationEvaluationId;

	/**
	 * 组织考评规则id
	 */
	private String  organizationEvaluationRuleId;


	/**
	 * 指标ID
	 */
	private String indicatorId;


	/**
	 * 指标编码
	 */
	private String indicatorDictionaryId;


	/**
	 * 能否量化
	 */
	private String isQuantified;

	/**
	 * 量化值
	 */
	private double quantifiedValue;

	/**
	 * 非量化值
	 */
	private String nonQuantifiedValue;

	/**
	 * 更新时间
	 */
	private Date updateTime;

	/**
	 * 更新者
	 */
	private String updateBy;

	/**
	 * 备注
	 */
	private String remark;
}
