package com.ims.eval.entity.dto.request;

import com.ims.eval.entity.EvaluationDept;
import com.ims.eval.entity.EvaluationUnit;
import com.ims.eval.entity.OrganizationEvaluationRule;
import com.ims.eval.entity.OrganizationStructure;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


@Data
@ApiModel(value="单位/部门考评配置请求类", description="单位/部门考评配置请求类")
public class OrganizationEvaluationRuleDTO extends OrganizationEvaluationRule {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "考评单位", required=true)
	private List<OrganizationStructure> unitList;

	@ApiModelProperty(value = "考评部门", required=true)
	private List<OrganizationStructure> deptList;


}
