package com.ims.eval.entity.dto.request;

import com.ims.eval.entity.EvaluationPersonnel;
import com.ims.eval.entity.PersonnelEvaluationRule;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


@Data
@ApiModel(value="人员考评配置请求类", description="人员考评配置请求类")
public class PersonnelEvaluationRuleDTO extends PersonnelEvaluationRule {


	private static final long serialVersionUID = 1L;


	@ApiModelProperty(value = "考评部门", required=true)
	private List<EvaluationPersonnel> evaluationPersonnels;

}
