package com.ims.eval.entity.dto.response;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ims.eval.entity.EvaluateRuleInfo;
import lombok.Data;

import java.util.Date;

@Data
public class EvaluateRuleInfoResDTO  extends EvaluateRuleInfo {
	private static final long serialVersionUID = 1L;

	/**
	 * 规则名称
	 */
	private String ruleName;

	/**
	 * 业务版块
	 */

	private String binSection;

	/**
	 * 业务版块name
	 */
	@TableField(exist = false)
	private String binSectionName;

	/**
	 * 业务阶段
	 */
	private String binStage;

	/**
	 * 业务阶段name
	 */
	@TableField(exist = false)
	private String binStageName;


	/**
	 * 描述
	 */
	private String des;

	/**
	 * 创建时间
	 */
	private Date createTime;

	/**
	 * 创建者
	 */
	private String createBy;

	/**
	 * 创建者名称
	 */
	private String createName;

	/**
	 * 更新时间
	 */
	private Date updateTime;

	/**
	 * 更新者
	 */
	private String updateBy;

	/**
	 * 是否启用
	 */
	private Boolean enable;
}
