package com.ims.eval.exception;

import com.ims.eval.exception.base.BaseException;

/**
 * 文件名称超长限制异常类
 *
 * @author hlf
 */
public class FileNameLengthLimitExceededException extends BaseException {
	private static final long serialVersionUID = 1L;

	public FileNameLengthLimitExceededException(int defaultFileNameLength) {
		super("upload.filename.exceed.length", new Object[]{defaultFileNameLength});
	}
}
