package com.ims.eval.exception;

import com.ims.eval.exception.base.BaseException;

/**
 * 文件名大小限制异常类
 *
 * @author hlf
 */
public class FileSizeLimitExceededException extends BaseException {
	private static final long serialVersionUID = 1L;

	public FileSizeLimitExceededException(long defaultMaxSize) {
		super("upload.exceed.maxSize", new Object[]{defaultMaxSize});
	}
}
