package com.ims.eval.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ims.eval.entity.EvaluationDept;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ims.eval.entity.EvaluationDeptRating;

import java.util.List;

/**
 * <p>
 * 考评部门 服务类
 * </p>
 *
 * @author wang
 * @since 2023-03-06
 */
public interface IEvaluationDeptService extends IService<EvaluationDept> {

	IPage<EvaluationDept> listPage(Integer pageNum, Integer pageSize, String deptName, String annual);

	boolean saveOrUpdate(EvaluationDept evaluationDept);
}
