package com.ims.eval.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ims.eval.entity.EvaluationScoringRule;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 考评得分规则表 服务类
 * </p>
 *
 * @author wang
 * @since 2023-02-27
 */
public interface IEvaluationScoringRuleService extends IService<EvaluationScoringRule> {

	IPage<EvaluationScoringRule> list(Integer pageNum, Integer pageSize, String indicatorId,String scoreRuleName,String businessPhase);

	boolean saveOrUpdateEvaluationScoringRule(EvaluationScoringRule evaluationScoringRule);

    boolean deleteByIds(List<String> asList);
}
