package com.ims.eval.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ims.eval.entity.EvaluationWarningInfo;
import com.baomidou.mybatisplus.extension.service.IService;


/**
 * <p>
 *  服务类
 * </p>
 *
 * @author wang
 * @since 2023-05-19
 */
public interface IEvaluationWarningInfoService extends IService<EvaluationWarningInfo> {

	/**
	 * 查询考评预警规则
	 * @return
	 */
	IPage<EvaluationWarningInfo> warningInfoList(Integer pageNum, Integer pageSize, String binSection, String st, String et);

	boolean updateItem(String code, EvaluationWarningInfo warningInfo);

}
