package com.ims.eval.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ims.eval.entity.IndicatorDictionary;
import com.ims.eval.entity.dto.request.IndicatorDictionaryDTO;

import java.util.List;

/**
 * <p>
 * 指标字典表 服务类
 * </p>
 *
 * @author wang
 * @since 2023-02-26
 */
public interface IIndicatorDictionaryService extends IService<IndicatorDictionary> {

	List<IndicatorDictionary> list(String id,String indicatorId,String optionCode,String optionName);

	boolean dictionarySaveBatch(List<IndicatorDictionaryDTO> dictionarys);

	List<IndicatorDictionaryDTO> list(String indicatorId,String optionCode,String optionName);




}
