package com.ims.eval.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ims.eval.entity.PartyBuildingMultiplier;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ims.eval.entity.dto.response.PartyBuildingMultiplierDto;

import java.util.List;

/**
 * <p>
 * 党建乘数配置 服务类
 * </p>
 *
 * @author wang
 * @since 2023-03-29
 */
public interface IPartyBuildingMultiplierService extends IService<PartyBuildingMultiplier> {

    IPage<PartyBuildingMultiplier> listAll(Integer pageNum,Integer pageSize,String id, String departId, String sectionId, String year);

    List<PartyBuildingMultiplier> listByParam(String id, String departId, String sectionId, String year);
}
