package com.ims.eval.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ims.eval.entity.YearGroupCoefficient;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ims.eval.entity.dto.request.YearGroupCoefficientDTO;

import java.util.List;

/**
 * <p>
 * 年度经营业绩系数 服务类
 * </p>
 *
 * @author wang
 * @since 2023-03-19
 */
public interface IYearGroupCoefficientService extends IService<YearGroupCoefficient> {

	IPage<YearGroupCoefficient> list(Integer pageNum, Integer pageSize, String id, String coefficientCode, String year, String createOrgName, String createBy);

	List<YearGroupCoefficient> listAll(String id, String coefficientCode, String year, String createOrgName, String createBy);

	boolean saveGroup(YearGroupCoefficientDTO coefficientDTO);

	YearGroupCoefficientDTO getById(String id);


}
