package com.ims.eval.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ims.eval.dao.EvaluationDeptIndicatorItemMapper;
import com.ims.eval.entity.EvaluationDeptIndicatorItem;
import com.ims.eval.service.IEvaluationDeptIndicatorItemService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author hlf
 * @date 2023/4/25 17:21
 * 文件说明：
 */
@Service
public class EvaluationDeptIndicatorItemServiceImpl extends ServiceImpl<EvaluationDeptIndicatorItemMapper, EvaluationDeptIndicatorItem> implements IEvaluationDeptIndicatorItemService {

	@Override
	public List<EvaluationDeptIndicatorItem> selectEvaluationDeptIndicatorItemListByEvaluationDeptIndicatorId(String evaluationDeptIndicatorId) {
		return baseMapper.selectEvaluationDeptIndicatorItemListByEvaluationDeptIndicatorId(evaluationDeptIndicatorId);
	}

	@Override
	public List<EvaluationDeptIndicatorItem> selectEvaluationDeptIndicatorItemListByEvaluationDeptId(String evaluationDeptId) {
		return baseMapper.selectEvaluationDeptIndicatorItemListByEvaluationDeptId(evaluationDeptId);
	}
}
