package com.ims.eval.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ims.eval.dao.OrganizationRatingMapper;
import com.ims.eval.entity.OrganizationRating;
import com.ims.eval.entity.OrganizationRatingRule;
import com.ims.eval.service.IOrganizationRatingService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 年度评级 服务实现类
 * </p>
 *
 * @author wang
 * @since 2023-06-20
 */
@Service
public class OrganizationRatingServiceImpl extends ServiceImpl<OrganizationRatingMapper, OrganizationRating> implements IOrganizationRatingService {

	@Override
	public IPage<OrganizationRating> list(Integer pageNum, Integer pageSize, String id, String binSection, String year,String organizationShortName,String organizationId) {
		Page<OrganizationRatingRule> page = new Page<>(pageNum, pageSize);
		if (null == pageNum || null == pageSize) {
			throw new RuntimeException("分页参数为空");
		}
		IPage<OrganizationRating> list = baseMapper.selectList(page,id,binSection,year,organizationShortName,organizationId);
		return list;
	}
}
