package com.ims.eval.service.impl;

import com.ims.eval.entity.UserDataAuth;
import com.ims.eval.dao.UserDataAuthMapper;
import com.ims.eval.service.IUserDataAuthService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ims.eval.service.IUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 用户数据权限 服务实现类
 * </p>
 *
 * @author wang
 * @since 2023-03-21
 */
@Service
public class UserDataAuthServiceImpl extends ServiceImpl<UserDataAuthMapper, UserDataAuth> implements IUserDataAuthService {


	@Autowired
	private IUserService userService;

	@Override
	public UserDataAuth getLoginName(String loginName) {
		UserDataAuth dataAuth = baseMapper.selectLoginName(loginName);
		return dataAuth;
	}


}
